import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (i, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, p = i.length - 1, n; p >= 0; p--)
    (n = i[p]) && (e = (r ? n(t, s, e) : n(e)) || e);
  return r && e && a(t, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chevronUp", this.class = "c-pieIcon c-pieIcon--chevronUp", this.name = "IconChevronUp";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chevronUp"><path d="M13.18 10.97 8 5.615l-5.18 5.399-.962-.875 5.346-5.565a1.164 1.164 0 0 1 1.671 0l5.25 5.495-.945.901Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  v("icon-chevron-up")
], o);
export {
  o as IconChevronUp
};
